For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet profile
      • PUTUpdate profile
      • DELDelete profile
      • GETList profiles
      • POSTCreate profile
LogoLogo
API ReferenceCampaign Profiles

Get profile

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id/profiles/:profile_id
GET
/rest/accounts/:account_id/campaigns/:campaign_id/profiles/:profile_id
$curl https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "profile": {
4 "id": "100440605",
5 "status": "DONE",
6 "urn_lp": "ACoAAAX8mh0BPkLOBzbr0YpIg7l3jHyTPMQ2lNg",
7 "seat_id": "seat_5517350802fc27a59061",
8 "comp_name": "HotelTechReport.com",
9 "filter_id": "filter_08ee55e44bba4f946204",
10 "full_name": "Jordan Hollander",
11 "job_title": "Co-Founder",
12 "last_name": "Hollander",
13 "ln_degree": 2,
14 "member_id": "100440605",
15 "public_id": "jordan-hollander-42577929",
16 "account_id": "ACCO136ce10b5f8a7682efb3",
17 "first_name": "Jordan",
18 "wait_until": 1753463026805,
19 "action_logs": [
20 {
21 "n": "node-fbf15000-c0fb8a547791",
22 "s": 200,
23 "t": 1753393235445
24 },
25 {
26 "n": "node-46c3eb1d-78531a1e1815",
27 "s": 200,
28 "t": 1753393269484
29 },
30 {
31 "n": "node-9299d274-cc559b70a7b1",
32 "s": 200,
33 "t": 1753455714217
34 },
35 {
36 "n": "node-f51d96ff-9d93b919927e",
37 "s": 200,
38 "t": 1753896035785
39 }
40 ],
41 "campaign_id": "campaign_f5b6b2abda0a2372b4a5",
42 "last_action": "ln_profile_inmail",
43 "ln_headline": "HotelTechReport.com | The hotel industry's app store and innovation analyst",
44 "next_action": "ln_profile_inmail",
45 "comp_website": "hoteltechreport.com",
46 "next_node_id": "node-f51d96ff-9d93b919927e",
47 "last_action_at": 1753896035775,
48 "comp_industry_name": "Hospitality",
49 "comp_location_region": "US, CA, Los Angeles",
50 "ln_profile_message_at": 1753896030002,
51 "ln_profile_replied_at": 1753896029108,
52 "ln_profile_inmail_count": 1
53 }
54}
Get a single profile.
Was this page helpful?
Previous

Create campaign

Next

Update profile

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired
profile_idstringRequired

Response

This endpoint returns an object.
successboolean
profileobject